Subject: Re: IPP> PRO - A value-type field for the Protocol Spec proposal

From: [email-masked] (Robert Herriot)
Date: Thu, 5 Jun 1997 15:43:36 -0700

> From [email-masked] Wed Jun  4 19:31:54 1997
> 
> It is proposed that there be a registry of value types. The first two
> entries in that registry would be (zero is reserved)
> 
> 1: Unicode string in UTF8 encoding (as specified in the draft)
> 2: list of values (here the length of the value field determines how
>    many values are present. The length, however, is not the number of
>    value, but the number of bytes consumed by the values.
> 

Do you think that we should specify the encoding of a list of values?
For example, it could be zero or more nested values, that is:

    value-type value-length value

Also, are you  suggesting that we define some other types, such as integer
or date, even if these are represented as a Unicode string in UTF-8.

Bob Herriot